# Class PaginatedResponse<T> | EchoHub Documentation

# Class PaginatedResponse<T>

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record PaginatedResponse<T> : IEquatable<PaginatedResponse<T>>

#### Type Parameters

`T`

Inheritance
  object
  PaginatedResponse<T>

Implements
  IEquatable<PaginatedResponse<T>>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### PaginatedResponse(PaginatedResponse<T>)

    protected PaginatedResponse(PaginatedResponse<T> original)

#### Parameters

`original` PaginatedResponse<T>

### PaginatedResponse(List<T>, int, int, int)

    public PaginatedResponse(List<T> Items, int Total, int Offset, int Limit)

#### Parameters

`Items` List<T>
`Total` int
`Offset` int
`Limit` int

## Properties

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Items

    public List<T> Items { get; init; }

#### Property Value

List<T>

### Limit

    public int Limit { get; init; }

#### Property Value

int

### Offset

    public int Offset { get; init; }

#### Property Value

int

### Total

    public int Total { get; init; }

#### Property Value

int

## Methods

### Deconstruct(out List<T>, out int, out int, out int)

    public void Deconstruct(out List<T> Items, out int Total, out int Offset, out int Limit)

#### Parameters

`Items` List<T>
`Total` int
`Offset` int
`Limit` int

### Equals(PaginatedResponse<T>?)

    public virtual bool Equals(PaginatedResponse<T>? other)

#### Parameters

`other` PaginatedResponse<T>

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(PaginatedResponse<T>?, PaginatedResponse<T>?)

    public static bool operator ==(PaginatedResponse<T>? left, PaginatedResponse<T>? right)

#### Parameters

`left` PaginatedResponse<T>
`right` PaginatedResponse<T>

#### Returns

bool

### operator !=(PaginatedResponse<T>?, PaginatedResponse<T>?)

    public static bool operator !=(PaginatedResponse<T>? left, PaginatedResponse<T>? right)

#### Parameters

`left` PaginatedResponse<T>
`right` PaginatedResponse<T>

#### Returns

bool